function [s] = int2str(x)
//INT2STR  Convert integer to string.
//   S = INT2STR(X) rounds the elements of the matrix X to
//   integers and converts the result into a string matrix.
//   Return NaN and Inf elements as strings 'NaN' and 'Inf', respectively.

s=[];
mode(0);
ieee(0);

[zx,sx]=size(x);
if zx==1 & sx==1,
  s=msprintf('%12d',round(x));
else
  if sx==1,
    s=msprintf('%12d\n',round(x));
  else
    fmestring="";
    for j=1:sx-1,
      fmestring=fmestring+"%12d"+" ";
    end
    fmestring=fmestring+"%12d\n";
    s=msprintf(fmestring,round(x));
  end
end
endfunction
