function a=randvek(N)
// RANDVEK
//		A=RANDVEK(N)
//
//		Creation of a vector with length N with,
//		numbers from 1 ... N on random positions.
//
//		Every number occurs only one time in the vector !

if length(N)==1 then,
	a=zeros(1,N);
	posvek=1:1:N;					// Positionsliste
	valvek=1:1:N;					// Werteliste
							        // nicht vergebener Werte
	Nz=N;
	while Nz>0,
		k0=ceil(length(posvek) .*rand(1,1));	// Position und Wert (noch frei)
		v0=ceil(length(valvek) .*rand(1,1));	// zufllig auswhlen
		position=posvek(1,k0);
		value=valvek(1,v0);
		a(position)=value;			        // Ergebnisvektor aufbauen
		posvek=posvek(posvek~=position);	// Listen aktualisieren
		valvek=valvek(valvek~=value);
		Nz=Nz-1;
	end
else
	a=[];
end
endfunction