function y=spinup(x,a)
// SPINUP
//		Y=SPINUP(X,[A])
//
//		Each row of the matrix X is shifted by A rows to the top.
//		The first A rows are shifted to the back.
//		A must be positive.

[%nargout,%nargin]=argn(0);
y=[];

if %nargin==1 then,
	a=1;
end;
[z,s]=size(x);
if ((a<1)|(a>z)) then,
	y=x;
	return;
end;
y=x((a+1):z,:);
y=[y;x((1:a),:)];

endfunction