function [tknr] = tkblatt(laenge,breite) 
//TKBLATT evaluating the TK25-sheetnumber from longitude and lattitude
// 
//TKNR=TKBLATT(LAENGE,BREITE)
// 
//LAENGE: longitude in [DEG]
//BREITE: lattitude in [DEG]

tknr=[]; // Ouput variables initialisation (not found in input variables)
mode(0); // Display mode
ieee(1); // Display warning for floating point exception
tknr=floor(6 .*laenge) - 34 + (100 .*(559 - floor(10 .*breite)));
endfunction