function Q=calcdat(Q,anzday);
// CALCDAT
//		Q=CALCDAT(Q,ANZDAY)
//
//		Addition of days to one or several dates.
//		Q is the date matrix. Every row represents
//		a date. The 1st column contains the days,
//		the 2nd the months and the 3rd the years.


m=Q(:,2); d=Q(:,1); y=Q(:,3);			// conversion of date into
						                // Julian day
igreg=588829;					        // Gregorian Constant
if mtlb_any(mtlb_any(y<=0)),
	disp('There is no year ZERO !');
	return;
end

jy=y;
jm=m+1;
jy(m<=2)=jy(m<=2)-1;
jm(m<=2)=jm(m<=2)+12;


jul=floor(365.25 .*jy) + floor(30.6001 .*jm) + d + 1720995;
qp=(d + 31 .*(m + 12 .*y));
ja=floor(0.01 .*jy);
jul(qp>=igreg)=jul(qp>=igreg) + 2 - ja(qp>=igreg) + floor(0.25 .*ja(qp>=igreg));
julian=jul;
						            // Julian days has been calculated
julian=julian+anzday;				// Addition of days

						            // conversion of Julian days
						            // into date
igreg=2299161;					    // Gregorian constant

jalpha=floor(((julian-1867216)-0.25) ./36524.25);
ja=julian;
ja(julian>=igreg)=julian(julian>=igreg)+ones(julian>=igreg)+jalpha(julian>=igreg)-floor(0.25 .*jalpha(julian>=igreg));

jb=ja+1524;
jc=floor(6680+((jb-2439870)-122.1) ./365.25);
jd=365*jc+floor(0.25 .*jc);
je=floor((jb-jd) ./30.6001);
id=jb-jd-floor(30.6001 .*je);
mm=je-1;
mm(mm>12)=mm(mm>12)-12;
iyyy=jc-4715;
iyyy(mm>2)=iyyy(mm>2)-1;
iyyy(iyyy<=0)=iyyy(iyyy<=0)-1;

Q=[id,mm,iyyy];

endfunction