function day=date2day(sdat);
// DATE2DAY	Get weekday of a date
//
//		DAY=DATE2DAY(S)
//
//		S is defined as a vector like
//		S=[YYYY, MM, DD, ...]
//		Only the 1st 3 elements are considered.

J=sdat(1); M=sdat(2); T=sdat(3);

// berprfung der Gltigkeit des Datums (Schaltjahre werden bercksichtigt )
dafa=0;
if ((T>30) & ((M==2) | (M==4) | (M==6) | (M==9) | (M==11))) then, dafa=1; end;
if ((T>29) & (M==2)) then, dafa=1; end;
if ((T==29) & (M==2) & (modulo(J,4)~=0)) then, dafa=1; end;
if ((T<=0) | (T>31) | (J<1753)) then, dafa=1; end;
if ((M<=0) | (M>12)) then, dafa=1; end;
if (~( (T==29) & (M==2) & (modulo(J,400)~=0) ) & ((T==29) & (M==2) & (modulo(J,100)~=0))) then,
	dafa=1;
end

if dafa==1 then,
	disp('Diesen Tag gibt es nicht !');
	return;
end

// Berechnung des Wochentags
K=floor(0.6 + (1/M));
L=J-K;
O=M + 12*K;
P=L/100;
Z1=floor(P/4); Z2=floor(P); Z3=floor(1.25*L); Z4=floor((O+1)*13/5);
Z=Z4+Z3-Z2+Z1+T-1;
days=['Sunday';'Monday';'Tuesday';'Wednesday';'Thursday';'Friday';'Saturday'];

zday=Z - 7*floor(Z/7) + 1;
day=days(zday);					// Prozedurende

