function jd=dday(Q)
// DDAY
//		[JD,DN]=DDAY(Q);
//		Difference in days between several dates.
//		The matrix Q contains the dates. Each row equals one date.
//		In the 1st column is the day, in the 2nd the month and
//		in the 3rd the year.
//
//		The vector JD contains the differences between dates 

m=Q(:,2); d=Q(:,1); y=Q(:,3);

igreg=588829;
if mtlb_any(mtlb_any(y<=0)),
	disp('There is no year ZERO !');
	return;
end

jy=y;
jm=m+1;
jy(m<=2)=jy(m<=2)-1;
jm(m<=2)=jm(m<=2)+12;


jul=floor(365.25 .*jy) + floor(30.6001 .*jm) + d + 1720995;
qp=(d + 31 .*(m + 12 .*y));
ja=floor(0.01 .*jy);
jul(qp>=igreg)=jul(qp>=igreg) + 2 - ja(qp>=igreg) + floor(0.25 .*ja(qp>=igreg));

jd=diff(jul);					// Differenztage

endfunction