function y=konfo(x,a)
// konfo
//		conformal linear transformation 
//                   
//			y=konfo(x,A);                     
//                                            
//		The matrix A (3x2) contains in the 1st column
//		the z-values and in the 2nd column the w-values, 
//		on which the z values are transformed. On the
//		complex values of x this tranformation is used.

m=[3,3]; b=[3,1];
for p=1:3,
	m(p,1)=a(p,1);
	m(p,2)=1;
	m(p,3)=-a(p,2);
	b(p,1)=a(p,1)*a(p,2);
end;
w=inv(m)*b;
y=(w(1,1) .*x+w(2,1)) ./(x+w(3,1));

endfunction